Package org.jacoco.report.internal.html.resources

## Class Styles

- java.lang.Object
- - org.jacoco.report.internal.html.resources.Styles

    public final class Styles
    extends java.lang.Object

Constants for styles defined by the report style sheet.

### Field Summary

Fields
`static java.lang.String` `BAR` Table cells for a graphical bar
`static java.lang.String` `BRANCH_FULLY_COVERED` Part of source code where branches are fully covered
`static java.lang.String` `BRANCH_NOT_COVERED` Part of source code where branches are not covered
`static java.lang.String` `BRANCH_PARTLY_COVERED` Part of source code where branches are partly covered
`static java.lang.String` `BREADCRUMB` Breadcrumb bar
`static java.lang.String` `COVERAGETABLE` Coverage table
`static java.lang.String` `CTR1` Table cells for the first column of a counter
`static java.lang.String` `CTR2` Table cells for the second column of a counter
`static java.lang.String` `DOWN` Table header for column sorted downwards
`static java.lang.String` `EL_BUNDLE` Bundle element
`static java.lang.String` `EL_CLASS` Class element
`static java.lang.String` `EL_GROUP` Group element
`static java.lang.String` `EL_METHOD` Method element
`static java.lang.String` `EL_PACKAGE` Package element
`static java.lang.String` `EL_REPORT` Report element
`static java.lang.String` `EL_SESSION` Sessions element
`static java.lang.String` `EL_SOURCE` Source file element
`static java.lang.String` `FOOTER` Footer
`static java.lang.String` `FULLY_COVERED` Part of source code where instructions are is fully covered
`static java.lang.String` `INFO` Info links within the Breadcrumb bar
`static java.lang.String` `NOT_COVERED` Part of source code where instructions are not covered
`static java.lang.String` `NR` Line number before each source line
`static java.lang.String` `PARTLY_COVERED` Part of source code where instructions are partly covered
`static java.lang.String` `RIGHT` Text block aligned to the right
`static java.lang.String` `SORTABLE` Table header for sortable columns
`static java.lang.String` `SOURCE` Block of source code
`static java.lang.String` `UP` Table header for column sorted upwards

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `combine​(java.lang.String... styles)` Returns a combined style from the given styles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BREADCRUMB

    public static final java.lang.String BREADCRUMB

Breadcrumb bar

See Also:
  Constant Field Values

#### INFO

    public static final java.lang.String INFO

Info links within the Breadcrumb bar

See Also:
  Constant Field Values

#### FOOTER

    public static final java.lang.String FOOTER

Footer

See Also:
  Constant Field Values

#### RIGHT

    public static final java.lang.String RIGHT

Text block aligned to the right

See Also:
  Constant Field Values

#### EL_REPORT

    public static final java.lang.String EL_REPORT

Report element

See Also:
  Constant Field Values

#### EL_SESSION

    public static final java.lang.String EL_SESSION

Sessions element

See Also:
  Constant Field Values

#### EL_GROUP

    public static final java.lang.String EL_GROUP

Group element

See Also:
  Constant Field Values

#### EL_BUNDLE

    public static final java.lang.String EL_BUNDLE

Bundle element

See Also:
  Constant Field Values

#### EL_PACKAGE

    public static final java.lang.String EL_PACKAGE

Package element

See Also:
  Constant Field Values

#### EL_SOURCE

    public static final java.lang.String EL_SOURCE

Source file element

See Also:
  Constant Field Values

#### EL_CLASS

    public static final java.lang.String EL_CLASS

Class element

See Also:
  Constant Field Values

#### EL_METHOD

    public static final java.lang.String EL_METHOD

Method element

See Also:
  Constant Field Values

#### COVERAGETABLE

    public static final java.lang.String COVERAGETABLE

Coverage table

See Also:
  Constant Field Values

#### BAR

    public static final java.lang.String BAR

Table cells for a graphical bar

See Also:
  Constant Field Values

#### CTR1

    public static final java.lang.String CTR1

Table cells for the first column of a counter

See Also:
  Constant Field Values

#### CTR2

    public static final java.lang.String CTR2

Table cells for the second column of a counter

See Also:
  Constant Field Values

#### SORTABLE

    public static final java.lang.String SORTABLE

Table header for sortable columns

See Also:
  Constant Field Values

#### UP

    public static final java.lang.String UP

Table header for column sorted upwards

See Also:
  Constant Field Values

#### DOWN

    public static final java.lang.String DOWN

Table header for column sorted downwards

See Also:
  Constant Field Values

#### SOURCE

    public static final java.lang.String SOURCE

Block of source code

See Also:
  Constant Field Values

#### NR

    public static final java.lang.String NR

Line number before each source line

See Also:
  Constant Field Values

#### NOT_COVERED

    public static final java.lang.String NOT_COVERED

Part of source code where instructions are not covered

See Also:
  Constant Field Values

#### PARTLY_COVERED

    public static final java.lang.String PARTLY_COVERED

Part of source code where instructions are partly covered

See Also:
  Constant Field Values

#### FULLY_COVERED

    public static final java.lang.String FULLY_COVERED

Part of source code where instructions are is fully covered

See Also:
  Constant Field Values

#### BRANCH_NOT_COVERED

    public static final java.lang.String BRANCH_NOT_COVERED

Part of source code where branches are not covered

See Also:
  Constant Field Values

#### BRANCH_PARTLY_COVERED

    public static final java.lang.String BRANCH_PARTLY_COVERED

Part of source code where branches are partly covered

See Also:
  Constant Field Values

#### BRANCH_FULLY_COVERED

    public static final java.lang.String BRANCH_FULLY_COVERED

Part of source code where branches are fully covered

See Also:
  Constant Field Values

### Method Detail

#### combine

    public static java.lang.String combine​(java.lang.String... styles)

Returns a combined style from the given styles.

Parameters:
  `styles` - list of separate styles, entries might be null
Returns:
  combined style or `null` if no style is given